Name:           asterisk-app_ldap
Version:        2.0rc1
Release:        4.25
License:        GPL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  asterisk asterisk-devel openldap2 openldap2-devel libspandsp1 spandsp-devel curl
Requires:       asterisk openldap2
Group:          telephony
Summary:        LDAPget Asterisk application module
Source:         app_ldap-%{version}.tar.gz

%description
LDAPget is an asterisk application which can lookup data
in an LDAP directory (e.g. OpenLDAP or ActiveDirectory).
LDAPget does not require you to use a specific LDAP schema.
If the requested data is found in the directory it is assigned
to a given variable an the priority is increased by 101.


%prep
%setup -n app_ldap-%{version}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/etc/asterisk
mkdir -p %{buildroot}/%{_libdir}/asterisk/modules
%{__make} install DESTDIR=%{buildroot} LIBDIR=%{_libdir}

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%{_libdir}/asterisk/modules/app_ldap.so
/etc/asterisk/ldap.conf
